//////////////////////////////////////////
// TradFiler.cpp
//Copyright (c) 05/13/2020 by BCCSkelton
//////////////////////////////////////////
#include	"TradFiler.h"
#include	"TradFilerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//コマンドラインの保存
	lstrcpy(g_CmdLine, __argv[0]);

	//２重起動防止
	if(!TradFiler.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "TradFiler");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	TradFiler.Init("MainWnd", hInstance, SDIPROC, "IDM_MAINMENU", MAKEINTRESOURCE(IDI_VER));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!TradFiler.Create("TradFiler"))
		return 0L;

	//メッセージループに入る
	return TradFiler.Loop();
}
